@echo off

rem Starting from version 0.90f ZeRAT can understand extended command
rem line syntax. There are several examples of it. It is useful, if you
rem do not want to create additional text files full of parameters
rem (like SMTP.TXT and POP.INI in this package). All parameters can be
rem sent in command line and ZeRAT can work fine from command line
rem absolutely in all modes.

rem Just uncomment appropriate line to test it (delete "rem" before "zerat").



rem Example 1 (simple message).
rem This will send mail thru "smtp.mail.ru" server from address "user1@mail.ru"
rem to "user2@mail.ru" and "user3@mail.ru" with subject="hello" and message
rem body="This is message body".
rem Please note that all params values with spaces must be framed in
rem quotation marks ("). You can not use < and > characters since they
rem serve for console output/input redirection.

rem zerat smtphost:smtp.mail.ru from:"John Smith user1@mail.ru" to:user2@mail.ru subject:hello This is message body



rem Example 2 (MIME message).
rem OK, this is more tricky. :) This will send MIME message in
rem Windows-1250 encoding with two attached files "file1.exe" and
rem "file2.exe" from current directory. This is message from
rem "John Smith" <user1@mail.ru> to "Martha Doe" <user2@mail.ru>
rem with subject="Hello, Martha Doe" and the multiline message body
rem 
rem Dear Martha,
rem 
rem This message contains attached files
rem
rem The CRLF character is \n and message body is multline.

rem zerat host:smtp.mail.ru from:"John Smith user1@mail.ru" to:"Martha Doe user2@mail.ru" subject:"Hello, %%ToFullName" type:multipart/mixed $boun "Content-Type: text/plain; charset=windows-1250" Dear %%ToName,\n\nThis message contains attached files $incl file1.exe $incl file2.exe



rem Example 3 (message from external text file).
rem The contents of message body will be readed from "file.txt"

rem zerat host:smtp.mail.ru from:user1@mail.ru to:user2@mail.ru subject:hello %%PUT="file.txt"



rem Example 4 (server authentication).
rem The server is "mail.tut.by", username is "admin", password is "12345".

rem zerat smtphost:mail.tut.by user:admin pass:12345 auth:login from:user1@tut.by to:user2@some.com subject:"hi there!" This is message body



rem Example 5 (MX-delivery).
rem This will send direct mail bypassing mail server from address
rem "user1@mail.ru" to "user2@mail.ru". You can type ANY mail address
rem in "from"-parameter and in most cases the message will be
rem delivered successfully. The advantages:
rem 1) secure - your message get exactly to recipient mailbox
rem 2) ease - it is no need to use SMTP server and authenticate

rem zerat host: dns:193.232.248.2 from:user1@mail.ru to:user2@mail.ru subject:hello %%PUT="file.txt"



rem Example 6 (using SOCKS).
rem All communications will be done thru Socks v5
rem proxy at IP-address 217.199.185.9 and port 1080.

rem zerat socks:217.199.185.9:1080 host: from:user1@mail.ru to:user2@mail.ru subject:hello %%PUT="file.txt"



rem Example 7 (simple POP3 session #1).
rem This will get mail from "user111" account which password is "123"
rem located at "pop.mail.ru" POP3-server. All messages will be stored
rem in the .\user111\ ("localdir" is empty which means that is equal
rem "user") and deleted from server.

rem zerat pop3host:pop.mail.ru user:user111 pass:123 localdir:



rem Example 8 (simple POP3 session #2).
rem This will get mail from "user111" account which password is "123"
rem located at "pop.gmail.com" POP3-server which uses SSL connection.
rem The messages will be stored in the E:\MYBOX\ and left on POP3-server.
rem All attachments found in the messages will be extracted into E:\MYBOX\

rem zerat ssl:yes pop3host:pop.gmail.com:995 user:user111 pass:123 localdir:e:\mybox messages:leave extract:yes



rem Example 9 (interactive POP3 session).
rem On every message user will be asked for further actions 
rem "[S]kip, [D]elete, Receive+[L]eave, [R]eceive+Delete or [Q]uit?"
rem The "top" param allows you to control how many top lines of each
rem message will be displayed on the screen.

rem zerat pop3host:pop.mail.ru user:user111 pass:123 messages:ask top:5



rem Example 10 (obtaining grouplist from NNTP server).

rem zerat nntp:yes user: pass: pop3host:news.lucky.net group:list



rem Example 11 (getting news articles from NNTP server).
rem This will get news articles from newsgroup named "ukr.test"
rem on "news.lucky.net" NNTP-server.

rem zerat nntp:yes user: pass: pop3host:news.lucky.net group:ukr.test fullheader:no



rem Example 12 (posting news article).
rem This will post news article into newsgroup "abg.test" on
rem "cp-news.centix.net" NNTP-server.

rem zerat nntp:yes smtphost:cp-news.centix.net user: pass: from:"Anonymous anon@fuji.jp" to: xto:All subject:"My first post" newsgroups:"abg.test" Hi!\n\nTest.\n\nBye
